﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Rotar : MonoBehaviour {

	//Estas dos variables publicas van a aparecer en el Inspector y podran informarse 
	//desde el IDE de Unity
	public Transform referente; // El objeto sobre el que vamos a girar
	public int velocidad = 1; // La velocidad de rotacion

	void Start() {
		if (referente == null) 
		{
			//En el caso de que no tengams un Referente cogemos
			//el mismo objeto
			referente = this.gameObject.transform;
			//Lo guardamos en las trazxas de debug
			Debug.Log ("Nos falta un referente");
		}
	}


	void Update () {
		//Usamos una funciona decimal Unity 
		//Transform.RotateAround, que necesita tres parametros:
		//-La posicion sobre la que se rota. 
		//-El axis que rota (podriamos indicar right, o left...)
		//-La velocidad. Atencion al uso de Time.DeltaTime es necesario usarlo siempre en Unity al referirnos a unidades de tiempo. 
		transform.RotateAround(referente.transform.position,referente.transform.up,velocidad * Time.deltaTime);
	}
}

